Bug 589959 - perf callchain doesn't work on x86_64
Summary: perf callchain doesn't work on x86_64
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 11:58 UTC by Benjamin Otte
Modified: 2012-05-01 13:15 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-01 13:15:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test program (240 bytes, text/plain)
2010-05-07 11:58 UTC, Benjamin Otte
no flags Details

Description Benjamin Otte 2010-05-07 11:58:42 UTC
Created attachment 412318 [details]
test program

1) Compile attached program like this:
gcc -fno-inline -fno-omit-frame-pointer -O0 test.c -o test
2) Run the program for a while and collect data in sysprof
3) Get a performance listing for the program looking something like this:
> test
+-> bar (90.9%)
+-> foo (9%)
+-> main (0.1%)

Instead the profile should look kinda like this:
> test
+-> main (100%)
  +-> foo (90.9%)
    +-> bar (82%)
  +-> bar (9%)

I'm not sure who to blame for this, so I'm filing it against sysprof first.
I also tried compiling it for 32bit and running it with 32bit and 64bit sysprof, and that didn't help either.

Comment 1 Benjamin Otte 2010-05-11 12:18:21 UTC
I investigated this further and it seems perf is broken, too. In fact, it seems the SYS_perf_event_open syscall does not produce any useful data for callgraphs.

Oprofile seems to work, though I feel a bit incapable of parsing opreport output.

Comment 2 Bug Zapper 2011-06-02 14:22:45 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.